%global site_name org.apache.felix.utils

Name:             felix-utils
Version:          1.1.0
Release:          1%{?dist}
Summary:          Utility classes for OSGi
License:          ASL 2.0
Group:            Development/Libraries
URL:              http://felix.apache.org

Source0:          http://www.fightrice.com/mirrors/apache/felix/%{site_name}-%{version}-project.tar.gz

Patch0:           %{name}-osgi-groupid.patch

BuildArch:        noarch

BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    jpackage-utils
BuildRequires:    felix-osgi-compendium
BuildRequires:    maven-surefire-provider-junit4

Requires:         jpackage-utils
Requires:         java
Requires:         felix-osgi-compendium
Requires:         felix-osgi-core

%description
Utility classes for OSGi

%package javadoc
Summary:          API documentation for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{site_name}-%{version}

%patch0 -p1

%build
mvn-rpmbuild install javadoc:aggregate -Dmaven.test.failure.ignore=true

%install
# jars
install -d -m 755 %{buildroot}%{_javadir}
install -p -m 644 target/%{site_name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# pom
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%doc LICENSE NOTICE DEPENDENCIES
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc LICENSE
%doc %{_javadocdir}/%{name}

%changelog
* Wed Jul 13 2011 Jaromir Capik <jcapik@redhat.com> - 1.1.0-1
- Initial version
